Bug 1675598 - origin: FTBFS in Fedora rawhide/f30
Summary: origin: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: origin
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Čajka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:21 UTC by Fedora Release Engineering
Modified: 2019-08-08 16:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 16:16:22 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:21 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:21 UTC, Fedora Release Engineering
no flags Details
state.log (621 bytes, text/plain)
2019-02-11 21:21 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 21:21:52 UTC
origin failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32429152


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix origin at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
origin will be orphaned. Before branching of Fedora 31,
origin will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:21:54 UTC
Created attachment 1531851 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:21:56 UTC
Created attachment 1531852 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:21:57 UTC
Created attachment 1531853 [details]
state.log

Comment 4 Fedora Release Engineering 2019-04-26 23:31:02 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 5 Jakub Čajka 2019-04-30 15:46:46 UTC
For the record arm32 build seems to run out of the memory, will investigate possibilities to work around it(less parallel build etc.), but it might not be workaround able as it seems to happen during linking.

.
.
.
.
++ Building go targets for linux/arm: tools/gendocs
[INFO] hack/build-go.sh exited with code 0 after 00h 00m 55s
[INFO] No compiled `genman` binary was found. Attempting to build one using:
[INFO]   $ hack/build-go.sh tools/genman
++ Building go targets for linux/arm: tools/genman
# github.com/openshift/origin/tools/genman
runtime: out of memory: cannot allocate 11370496-byte block (2897608704 in use)
fatal error: out of memory
runtime stack:
runtime.throw(0x25081d, 0xd)
	/usr/lib/golang/src/runtime/panic.go:617 +0x5c
runtime.largeAlloc(0xad8000, 0x1000001, 0x34918f)
	/usr/lib/golang/src/runtime/malloc.go:1057 +0x13c
runtime.mallocgc.func1()
	/usr/lib/golang/src/runtime/malloc.go:950 +0x38
runtime.systemstack(0x1054000)
	/usr/lib/golang/src/runtime/asm_arm.s:354 +0x84
runtime.mstart()
	/usr/lib/golang/src/runtime/proc.go:1153
goroutine 1 [running]:
runtime.systemstack_switch()
	/usr/lib/golang/src/runtime/asm_arm.s:298 +0x4 fp=0x6996b3a0 sp=0x6996b39c pc=0x66a40
runtime.mallocgc(0xad8000, 0x23d800, 0x22201, 0x22254)
	/usr/lib/golang/src/runtime/malloc.go:949 +0x894 fp=0x6996b404 sp=0x6996b3a0 pc=0x1b00c
runtime.growslice(0x23d800, 0xbd800000, 0x3daaa, 0x3daaa, 0x3daab, 0xf3af0, 0xf2e50, 0x3f7fd0)
	/usr/lib/golang/src/runtime/slice.go:181 +0x1a0 fp=0x6996b434 sp=0x6996b404 pc=0x5363c
cmd/link/internal/sym.(*Symbol).AddRel(...)
	/usr/lib/golang/src/cmd/link/internal/sym/symbol.go:273
cmd/link/internal/sym.(*Symbol).AddAddrPlus(0x8572d350, 0x3e15a8, 0x8572d350, 0x0, 0x0, 0x3e15a8, 0x4538b8)
	/usr/lib/golang/src/cmd/link/internal/sym/symbol.go:183 +0x184 fp=0x6996b464 sp=0x6996b434 pc=0xf3074
cmd/link/internal/sym.(*Symbol).AddAddr(...)
	/usr/lib/golang/src/cmd/link/internal/sym/symbol.go:213
cmd/link/internal/ld.adddwarfref(0x13b6000, 0x8572d350, 0x8572d350, 0x4, 0x4538b8, 0x0)
	/usr/lib/golang/src/cmd/link/internal/ld/dwarf.go:251 +0x58 fp=0x6996b48c sp=0x6996b464 pc=0x158c34
cmd/link/internal/ld.addDwarfAddrRef(0x13b6000, 0x8572d350, 0x8572d350)
	/usr/lib/golang/src/cmd/link/internal/ld/dwarf.go:928 +0x68 fp=0x6996b4a8 sp=0x6996b48c pc=0x15e5d0
cmd/link/internal/ld.writeframes(0x13b6000, 0xb9746510, 0x3, 0x4, 0x71f84000, 0xa7b, 0xc00)
	/usr/lib/golang/src/cmd/link/internal/ld/dwarf.go:1488 +0xaac fp=0x6996b56c sp=0x6996b4a8 pc=0x16345c
cmd/link/internal/ld.dwarfGenerateDebugSyms(0x13b6000)
	/usr/lib/golang/src/cmd/link/internal/ld/dwarf.go:1870 +0x368 fp=0x6996b5f4 sp=0x6996b56c pc=0x166a24
cmd/link/internal/ld.(*Link).dodata(0x13b6000)
	/usr/lib/golang/src/cmd/link/internal/ld/data.go:1645 +0x34e8 fp=0x6996b9c4 sp=0x6996b5f4 pc=0x14b4ec
cmd/link/internal/ld.Main(0x3e15a8, 0x4, 0x8, 0x1, 0xd, 0xe, 0x252e7c, 0x12, 0x255ec4, 0x18, ...)
	/usr/lib/golang/src/cmd/link/internal/ld/main.go:239 +0xc3c fp=0x6996ba78 sp=0x6996b9c4 pc=0x19148c
main.main()
	/usr/lib/golang/src/cmd/link/main.go:65 +0x114 fp=0x6996bfc4 sp=0x6996ba78 pc=0x1f1cd8
runtime.main()
	/usr/lib/golang/src/runtime/proc.go:200 +0x204 fp=0x6996bfe4 sp=0x6996bfc4 pc=0x3e4f0
runtime.goexit()
	/usr/lib/golang/src/runtime/asm_arm.s:868 +0x4 fp=0x6996bfe4 sp=0x6996bfe4 pc=0x68768
[ERROR] PID 26715: hack/lib/build/binaries.sh:236: `GOOS=${platform%/*} GOARCH=${platform##*/} go install -pkgdir "${pkgdir}/${platform}" -tags "${OS_GOFLAGS_TAGS-} ${!platform_gotags_envvar:-}" -ldflags="${local_ldflags}" "${goflags[@]:+${goflags[@]}}" -gcflags "${gogcflags}" "${nonstatics[@]}"` exited with status 2.
[INFO] 		Stack Trace: 
[INFO] 		  1: hack/lib/build/binaries.sh:236: `GOOS=${platform%/*} GOARCH=${platform##*/} go install -pkgdir "${pkgdir}/${platform}" -tags "${OS_GOFLAGS_TAGS-} ${!platform_gotags_envvar:-}" -ldflags="${local_ldflags}" "${goflags[@]:+${goflags[@]}}" -gcflags "${gogcflags}" "${nonstatics[@]}"`
[INFO] 		  2: hack/lib/build/binaries.sh:156: os::build::internal::build_binaries
[INFO] 		  3: hack/build-go.sh:25: os::build::build_binaries
[INFO]   Exiting with code 2.
[ERROR] PID 26668: hack/lib/build/binaries.sh:156: `( os::build::internal::build_binaries "${binaries[@]+"${binaries[@]}"}" )` exited with status 2.
[INFO] 		Stack Trace: 
[INFO] 		  1: hack/lib/build/binaries.sh:156: `( os::build::internal::build_binaries "${binaries[@]+"${binaries[@]}"}" )`
[INFO] 		  2: hack/build-go.sh:25: os::build::build_binaries
[INFO]   Exiting with code 2.
[ERROR] hack/build-go.sh exited with code 2 after 00h 01m 12s
[ERROR] PID 26321: hack/lib/util/ensure.sh:60: `"${OS_ROOT}/hack/build-go.sh" "${target}"` exited with status 2.
[INFO] 		Stack Trace: 
[INFO] 		  1: hack/lib/util/ensure.sh:60: `"${OS_ROOT}/hack/build-go.sh" "${target}"`
[INFO] 		  2: hack/lib/util/docs.sh:93: os::util::ensure::built_binary_exists
[INFO] 		  3: hack/generate-docs.sh:10: os::util::gen-docs
[INFO]   Exiting with code 2.
error: Bad exit status from /var/tmp/rpm-tmp.JapuuC (%build)
.
.
.
.

Comment 6 Fedora Release Engineering 2019-08-08 16:16:22 UTC
The package was retired.


Note You need to log in before you can comment on or make changes to this bug.